## soapyplutosdr 0.2.2

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.9)
project(SoapyPlutoSDR CXX)

# select build type to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
    message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

find_package(SoapySDR NO_MODULE)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

########################################################################
# Find libiio
########################################################################
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
find_package(LibIIO 0.9 REQUIRED)

if (LibIIO_FOUND)
    message(STATUS "LibIIO_INCLUDE_DIRS: ${LibIIO_INCLUDE_DIRS}")
    message(STATUS "LibIIO_LIBRARIES: ${LibIIO_LIBRARIES}")
    message(STATUS "LibIIO_DEFINITIONS: ${LibIIO_DEFINITIONS}")
endif()

include_directories(${LibIIO_INCLUDE_DIRS})

#enable c++11 features
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
    endif()

    #Thread support enabled (not the same as -lpthread)
    list(APPEND LibIIO_LIBRARIES -pthread)

    #disable warnings for unused parameters
    add_compile_options(-Wall -Wextra -pedantic -Wno-unused-parameter)
endif()

########################################################################
# Find libad9361
########################################################################
find_package(LibAD9361)

if (LibAD9361_FOUND)
    message(STATUS "LibAD9361_INCLUDE_DIRS: ${LibAD9361_INCLUDE_DIRS}")
    message(STATUS "LibAD9361_LIBRARIES: ${LibAD9361_LIBRARIES}")
    message(STATUS "LibAD9361_DEFINITIONS: ${LibAD9361_DEFINITIONS}")
    include_directories(${LibAD9361_INCLUDE_DIRS})
    add_definitions(-DHAS_AD9361_IIO)
endif()

########################################################################
# Find libusb
########################################################################
find_package(LibUSB)

if(LibUSB_FOUND)
    message(STATUS "LibUSB_INCLUDE_DIRS: ${LibUSB_INCLUDE_DIRS}")
    message(STATUS "LibUSB_LIBRARIES: ${LibUSB_LIBRARIES}")
    message(STATUS "LibUSB_DEFINITIONS: ${LibUSB_DEFINITIONS}")
    include_directories(${LibUSB_INCLUDE_DIRS})
    add_definitions(-DHAS_LIBUSB1)
    #disable warnings for libusb.h
    add_compile_options($<$<CXX_COMPILER_ID:GNU,Clang,AppleClang>:-Wno-zero-length-array>)
endif()


SOAPY_SDR_MODULE_UTIL(
    TARGET PlutoSDRSupport
    SOURCES
    PlutoSDR_Registration.cpp
    PlutoSDR_Settings.cpp
    PlutoSDR_Streaming.cpp
    LIBRARIES ${LibIIO_LIBRARIES} ${LibAD9361_LIBRARIES} ${LibUSB_LIBRARIES}
)

########################################################################
# uninstall target
########################################################################
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

=== debian/changelog ===
soapyplutosdr (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #1109151)

 -- Andreas Bombe <aeb@debian.org>  Sat, 12 Jul 2025 23:45:07 +0200

=== debian/control ===
Source: soapyplutosdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libiio-dev,
    libad9361-dev,
    libusb-1.0-0-dev,
    libsoapysdr0.8-dev
Standards-Version: 4.7.2
Homepage: https://github.com/pothosware/SoapyPlutoSDR/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyplutosdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyplutosdr.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-plutosdr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: Pluto SDR device support for SoapySDR
 The Soapy Pluto SDR project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Pluto SDR devices.

Package: soapysdr-module-plutosdr
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-plutosdr, ${misc:Depends}
Description: Pluto SDR device support for SoapySDR (default version)
 The Soapy Pluto SDR project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Pluto SDR devices.
 .
 This is an empty dependency package that pulls in the Pluto SDR module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.8-module-plutosdr

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyPlutoSDR/tags .*/soapy-plutosdr-([\d\.]+)\.tar\.(?:xz|gz|bz2)
